Core - Bug # 21299

Status: Accepted Priority: Should have
Author: Robert Heel Category: Workspaces
Created: 2009-10-19 Assigned To: Oliver Hader
Updated: 2015-01-23 Due date:

TYPO3 Version: 4.2

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Can't restore a deleted page in draft workspace

Description

Create a page in draft workspace and delete it. Try to restore this page. Everything in history is shown correct, but the page didn't
appear in the page tree.

(issue imported from #M12268)

Related issues:
related to Core - Bug # 36292: Rolling back deletion of a draft element fails... New 2012-04-18

History

#1 - 2009-10-20 09:23 - Robert Heel

undeleteRecord doesn't restore the t3ver_wsid and undelete the workspace version.

#2 - 2011-04-10 19:24 - Susanne Moog

- Status changed from New to Accepted

- Target version deleted (0)

#3 - 2011-04-29 18:54 - Oliver Hader

- Status changed from Accepted to Needs Feedback

Can you please tell how this issue can be reproduced?

#4 - 2011-04-29 18:54 - Oliver Hader

- Assigned To set to Oliver Hader

#5 - 2011-04-30 23:09 - Robert Heel

1) Switch to a draft workspace

2) Create a page

3) Delete the page again.

4) Go to this history of the parent page. Try to undelete it.
No error message, but no undeleted page.

#6 - 2011-08-22 09:57 - Tolleiv Nietsch
- Status changed from Needs Feedback to Accepted

#7 - 2013-05-07 11:25 - Riccardo De Contardi
- File Cattura2.PNG added

Procedure followed in TYPO3 6.1:

1) Switch to a draft workspace

2) Create a page (called "to delete 2", ID=31)
3) Delete the page again.

4) switch to live workspace

6) Go to parent page.

7) list view

)
)
)
)
5) the page is still present and live (correct, | guess)
)
)
8) click on history/undo
)

9) click on rollback/preview; click on "rollback all changes shown"; the result is shown in attached file
As far as | can see the page has been restored

BTW: the recycler module does not work at all in custom workspace: is it a bug or intentional?

#8 - 2013-12-10 00:57 - Michael Stucki

- Category set to Workspaces

#9 - 2013-12-10 01:01 - Michael Stucki

- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

#10 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5

Files

Cattura2.PNG 18.2 kB 2013-05-07
